Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global plugin_name discord

%global commit0 b7ac72399218d2ce011ac84bb171b572560aa2d2
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global date 20210928

Name: purple-%{plugin_name}
Version: 0
Release: alt2_36.%{date}git%{shortcommit0}

License: GPL-3.0-or-later
Summary: Discord plugin for libpurple
URL: https://github.com/EionRobb/%{name}
Source0: https://github.com/EionRobb/%{name}/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz

BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(purple)
BuildRequires: pkgconfig(zlib)

BuildRequires: ImageMagick-tools
BuildRequires: gcc
BuildRequires: gettext-tools libasprintf-devel
Source44: import.info

%package -n pidgin-%{plugin_name}
Group: Other
Summary: Adds pixmaps, icons and smileys for Discord protocol
BuildArch: noarch
Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: pidgin

%description
Adds support for Discord to Pidgin, Adium, Finch and other libpurple
based messengers.

%description -n pidgin-%{plugin_name}
Adds pixmaps, icons and smileys for Discord protocol implemented by
purple-discord.

%prep
%setup -q -n %{name}-%{commit0}


# fix W: wrong-file-end-of-line-encoding
sed -i -e "s,\r,," README.md

%build

%make_build

%install
%makeinstall_std
%find_lang %{name}

%files -f %{name}.lang
%doc --no-dereference LICENSE
%doc README.md
%{_libdir}/purple-2/lib%{plugin_name}.so

%files -n pidgin-%{plugin_name}
%{_datadir}/pixmaps/pidgin/protocols/*/%{plugin_name}.png

%changelog
* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0-alt2_36.20210928gitb7ac723
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0-alt2_35.20210928gitb7ac723
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0-alt2_34.20210928gitb7ac723
- update to new release by fcimport

* Tue Nov 02 2021 Igor Vlasenko <viy@altlinux.org> 0-alt2_33.20210928gitb7ac723
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0-alt2_32.20200718git8fd7ceb
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0-alt2_31.20200718git8fd7ceb
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0-alt2_30.20200718git8fd7ceb
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0-alt1_30.20200718git8fd7ceb
- update to new release by fcimport

* Sat Jun 13 2020 Igor Vlasenko <viy@altlinux.ru> 0-alt1_28.20200512git1174458
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0-alt1_26.20190805git250a8a0
- update to new release by fcimport

* Mon Sep 30 2019 Igor Vlasenko <viy@altlinux.ru> 0-alt1_25.20190805git250a8a0
- new version

